Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(revision 38031)
+++ CMakeLists.txt	(working copy)
@@ -1211,7 +1211,7 @@
 #                         #
 ###########################
 
-include (GoogleTestInstall)
+#include (GoogleTestInstall)
 
 #########################
 #                       #
@@ -1242,31 +1242,31 @@
 casa_add_module( stdcasa CASACORE Boost )
 casa_add_module( parallel CASACORE Boost )
 casa_add_module( casadbus CASACORE DBUS Boost)
-casa_add_module( casaqt CASACORE QT4 QWT XERCES graphics stdcasa Boost)
+#casa_add_module( casaqt CASACORE QT4 QWT XERCES graphics stdcasa Boost)
 ###casa_add_module ( CasaDataObjects CASACORE)
 casa_add_module( components stdcasa CASACORE Boost GSL)
 casa_add_module( imageanalysis CASACORE components)
 #casa_add_module( display3d CASACORE QT4 OPENGL display )
-casa_add_module( asdmstman CASACORE Boost )
-casa_add_module( msvis CASACORE Boost asdmstman ) # WarningsAsErrors)
-casa_add_module( mstransform CASACORE stdcasa imageanalysis msvis)
-casa_add_module( synthesis CASACORE atmosphere stdcasa casadbus asdmstman Boost SQLITE ${CASAMPI} imageanalysis msvis mstransform LIBSAKURA)
-casa_add_module( flagging CASACORE Boost stdcasa casadbus synthesis casaqt QT4 msvis mstransform)
-casa_add_module( spectrallines CASACORE imageanalysis Boost SQLITE)
-casa_add_module( guitools CASACORE QT4 QWT synthesis)
-casa_add_module( display CASACORE WCSLIB QT4 casaqt guitools synthesis imageanalysis Boost stdcasa casadbus spectrallines components)
-casa_add_module( plotms CASACORE QT4 casaqt synthesis Boost )
-casa_add_module( calanalysis CASACORE synthesis Boost)
-casa_add_module( alma CASACORE LIBXML2 LIBXSLT Boost synthesis msvis)
+#casa_add_module( asdmstman CASACORE Boost )
+#casa_add_module( msvis CASACORE Boost asdmstman ) # WarningsAsErrors)
+#casa_add_module( mstransform CASACORE stdcasa imageanalysis msvis)
+#casa_add_module( synthesis CASACORE atmosphere stdcasa casadbus asdmstman Boost SQLITE ${CASAMPI} imageanalysis msvis mstransform LIBSAKURA)
+#casa_add_module( flagging CASACORE Boost stdcasa casadbus synthesis casaqt QT4 msvis mstransform)
+#casa_add_module( spectrallines CASACORE imageanalysis Boost SQLITE)
+#casa_add_module( guitools CASACORE QT4 QWT synthesis)
+#casa_add_module( display CASACORE WCSLIB QT4 casaqt guitools synthesis imageanalysis Boost stdcasa casadbus spectrallines components)
+#casa_add_module( plotms CASACORE QT4 casaqt synthesis Boost )
+#casa_add_module( calanalysis CASACORE synthesis Boost)
+#casa_add_module( alma CASACORE LIBXML2 LIBXSLT Boost synthesis msvis)
 #casa_add_module( alma_v3 CASACORE LIBXML2 LIBXSLT Boost synthesis)
 #casa_add_module( oldalma CASACORE LIBXML2 Boost )
-casa_add_module( nrao CASACORE Boost)
-casa_add_module( atnf CASACORE Boost RPFITS)
-casa_add_module( miriad CASACORE Boost components)
-casa_add_module( casa_sakura CASACORE Boost LIBSAKURA)
-casa_add_module( singledish CASACORE casa_sakura msvis mstransform)
-casa_add_module( bnmin1 Boost GSL GSLCBLAS CASACORE )
-casa_add_module( air_casawvr CASACORE bnmin1 Boost synthesis WCSLIB CFITSIO LAPACK )
+#casa_add_module( nrao CASACORE Boost)
+#casa_add_module( atnf CASACORE Boost RPFITS)
+#casa_add_module( miriad CASACORE Boost components)
+#casa_add_module( casa_sakura CASACORE Boost LIBSAKURA)
+#casa_add_module( singledish CASACORE casa_sakura msvis mstransform)
+#casa_add_module( bnmin1 Boost GSL GSLCBLAS CASACORE )
+#casa_add_module( air_casawvr CASACORE bnmin1 Boost synthesis WCSLIB CFITSIO LAPACK )
 
 add_subdirectory( crash) 
 
Index: components/CMakeLists.txt
===================================================================
--- components/CMakeLists.txt	(revision 38031)
+++ components/CMakeLists.txt	(working copy)
@@ -144,6 +144,3 @@
 casa_add_assay( components SpectralComponents/test/tSpectralFit.cc )
 
 casa_add_unit_test( MODULES components SOURCES ComponentModels/test/tLimbDarkenedDiskShape.cc )
-casa_add_google_test( MODULES components SOURCES ComponentModels/test/FluxStandard_GTest.cc ComponentModels/test/FluxStandardTest.cc )
-casa_add_google_test( MODULES components SOURCES ComponentModels/test/EphemObjFluxStandard_GTest.cc ComponentModels/test/FluxStandardTest.cc )
-casa_add_google_test( MODULES components SOURCES ComponentModels/test/FluxStandard2_GTest.cc ComponentModels/test/FluxStandardTest.cc )
Index: imageanalysis/CMakeLists.txt
===================================================================
--- imageanalysis/CMakeLists.txt	(revision 38031)
+++ imageanalysis/CMakeLists.txt	(working copy)
@@ -283,7 +283,7 @@
 
 casa_add_assay( imageanalysis Regions/test/tCasacRegionManager.cc )
 
-casa_add_google_test (MODULES imageanalysis SOURCES ImageAnalysis/test/ImageMaskHandler_Gtest.cc ImageAnalysis/test/ImageMaskHandlerTest.cc)
+#casa_add_google_test (MODULES imageanalysis SOURCES ImageAnalysis/test/ImageMaskHandler_Gtest.cc ImageAnalysis/test/ImageMaskHandlerTest.cc)
 
 casa_add_unit_test ( MODULES imageanalysis SOURCES Annotations/test/tAnnAnnulus.cc )
 casa_add_unit_test ( MODULES imageanalysis SOURCES Annotations/test/tAnnCenterBox.cc )
Index: install/target.cmake
===================================================================
--- install/target.cmake	(revision 38031)
+++ install/target.cmake	(working copy)
@@ -561,44 +561,7 @@
 #             code/install/assay script.  # # An XML file testName.xml
 #             will be produced when the test is run.  # macro
 #             (casa_add_google_test)
-macro (casa_add_google_test)
 
-    # Parse the arguments
-
-    set (options NOT_ON_APPLE)
-    set (oneValueArgs ) 
-    set (multiValueArgs SOURCES LIBS MODULES) # the lists of source files and libraries
-    cmake_parse_arguments (google_test "${options}" "${oneValueArgs}"
-                           "${multiValueArgs}"  ${ARGN})
-
-    list(GET google_test_SOURCES 0 testName)
-    get_filename_component (testName ${testName} NAME_WE)
-
-    if (DEFINED APPLE AND ${google_test_NOT_ON_APPLE})
-
-        message ("WARNING:: Test ${testName} disabled on Apple platform.")
-
-    else ()
-
-        # The Google Test install logic in cmake will put the needed include and library
-        # below the directory stored in the variable GtestRoot.
-
-        set (gtestIncludeDirectory ${GoogleTest_ReleaseRoot}/include)
-        set (gtestLibrary ${GoogleTest_LibraryDir}/libgtest.a)
-
-        set (libraries ${gtestLibrary})
-        list (APPEND gtestLibrary ${google_test_LIBS})
-
-        casa_add_unit_test (MODULES ${google_test_MODULES} SOURCES ${google_test_SOURCES} 
-                            LIBRARIES ${libraries} # gtest + provide libs
-                            INCLUDE_DIRS ${gtestIncludeDirectory}) # gtest include dirs
-
-        add_dependencies (${CasaTestName} ${GoogleTest_Target})
-
-    endif ()
-
-endmacro ()
-
 # casa_add_demo (module sourceFile1 [sourceFile2 ...])
 #
 # Adds a demo application to the project.  A demo program is a small
@@ -641,4 +604,4 @@
 
   add_dependencies (${executableName} lib${module})
 
-endmacro ()
\ No newline at end of file
+endmacro ()
